<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <title>Minu tehnik</title>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" type="text/javascript"></script>
    <style>
        html,
        body {
            padding: 0;
            margin: 0;
        }
        #map {
            position: absolute;
        }
    </style>
</head>

<body>
<div id="location" style="left:0; bottom:0; position: absolute; z-index: 2; background-color: white; padding: 20px;"></div>
<div id="vehicle" style="left:0; top:0; position: absolute; z-index: 2; background-color: white; padding: 20px;"></div>
<div id="map" style="width: 100%; height: 100%; z-index: 1;"></div>

<script type="text/javascript">

    function initMap() {

        address = "luise 12, Tallinn"
        courierName = "Andres Randveer"

        var courierID = 70526
        var destination
        //var destination = new google.maps.LatLng(59.408682, 24.700547);
        //url = "https://app.ecofleet.com/seeme/Api/Vehicles/getLastData?key=telia-vunk-bGaaPUuhKDKn9ZJ1&objectId=" + courierID + "&json"
        url = "https://app.ecofleet.com/seeme/Api/Vehicles/getLastData?key=telia-vunk-bGaaPUuhKDKn9ZJ1&json"
        var geocoder = new google.maps.Geocoder();
        geocoder.geocode( { 'address': address}, function(results, status) {
            if (status == 'OK') {
                var destination_coords = (results[0].geometry.location);
                latitude = destination_coords.toJSON()['lat']
                longitude = destination_coords.toJSON()['lng']
                destination = {lat: latitude, lng: longitude};
                console.log(destination)



        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 17,
            center: {
                lat: 59.4271256,
                lng: 24.7016758
            }
        });

        endMarker = new google.maps.Marker({
            position: destination,
            map: map,
            draggable: false
        });


        var marker = new google.maps.Marker({
            icon: 'https://minutehnik.orumets.ee/assets/img/telia_logo_small_color.png',
            map: map
        });

    //get courier location to draw map bounds
    $.getJSON(
        url,
        function (data) {
            var date = new Date();var i;
            if(data.status == 0){marker.setPosition(new google.maps.LatLng(data.response[0].latitude, data.response[0].longitude))
                var bounds = new google.maps.LatLngBounds();
                var i;
                for (i = 0; i < data.response.length; i++) {
                    if(data.response[i].objectName.includes(courierName)){
                        var courier_loc = new google.maps.LatLng(data.response[i].latitude, data.response[i].longitude);
                        bounds.extend(courier_loc);
                        bounds.extend(destination);
                        map.fitBounds(bounds);
                        break
                    }
                    } }

            else location.reload();
        })

        setMarker(map, destination, marker, 0);
    }

    function setMarker(map, destination, marker){
        $.getJSON(
            url,
            function (data) {
                //console.log("success", data.response[0].latitude, data.response[0].longitude);
                if(data.status == 0){
                    var i;
                    for (i = 0; i < data.response.length; i++) {
                        //console.log(data.response[i].objectName)
                        if(data.response[i].objectName.includes(courierName)){
                            marker.setPosition(new google.maps.LatLng(data.response[i].latitude, data.response[i].longitude));
                            console.log("success", data.response[i].latitude, data.response[i].longitude);
                            var courier_loc = new google.maps.LatLng(data.response[i].latitude, data.response[i].longitude);
                            $('#location').text(data.response[i].latitude + ' '  + data.response[i].longitude);
                    if(data.response[0].enginestate == 0){
                                 marker.setIcon('https://minutehnik.orumets.ee/assets/img/telia_logo_small_parking.png')
                             }
                            else{marker.setIcon('https://minutehnik.orumets.ee/assets/img/telia_logo_small_color.png')}

                            break
                }
            }}}
        )

        setTimeout(function(){
            setMarker(map, destination, marker);
        }, 1500);

    }
        });}


</script>

<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAdzeO33UIWK-cpKHHhlu8WSlHp64ZbPlM&callback=initMap" type="text/javascript"></script>

</body>

</html>